jif.ast

## Class ActsForConstraintNode_c<Actor extends ActsForParam,Granter extends ActsForParam>

- java.lang.Object
- - polyglot.ast.Node_c
  - - jif.ast.ConstraintNode_c<ActsForConstraint<Actor,Granter>>
    - - jif.ast.ActsForConstraintNode_c<Actor,Granter>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ActsForConstraintNode<Actor,Granter>, ConstraintNode<ActsForConstraint<Actor,Granter>>, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.Node>
  Direct Known Subclasses:
    LabelActsForLabelConstraintNode_c, LabelActsForPrincipalConstraintNode_c, PrincipalActsForPrincipalConstraintNode_c

      public abstract class ActsForConstraintNode_c<Actor extends ActsForParam,Granter extends ActsForParam>
      extends ConstraintNode_c<ActsForConstraint<Actor,Granter>>
      implements ActsForConstraintNode<Actor,Granter>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActsForParamNode<Actor>` | `actor`
    `protected ActsForParamNode<Granter>` | `granter`
    `protected boolean` | `isEquiv`

    - ### Fields inherited from class jif.ast.ConstraintNode_c

      `constraints`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActsForConstraintNode_c(polyglot.util.Position pos, ActsForParamNode<Actor> actor, ActsForParamNode<Granter> granter)` Deprecated.
    `ActsForConstraintNode_c(polyglot.util.Position pos, ActsForParamNode<Actor> actor, ActsForParamNode<Granter> granter, boolean isEquiv)` Deprecated.
    `ActsForConstraintNode_c(polyglot.util.Position pos, ActsForParamNode<Actor> actor, ActsForParamNode<Granter> granter, boolean isEquiv, polyglot.ast.Ext ext)`
    `ActsForConstraintNode_c(polyglot.util.Position pos, ActsForParamNode<Actor> actor, ActsForParamNode<Granter> granter, polyglot.ast.Ext ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActsForParamNode<Actor>` | `actor()` Gets the actor.
    `ActsForConstraintNode<Actor,Granter>` | `actor(ActsForParamNode<Actor> actor)` Returns a copy of this node with the actor updated.
    `protected <N extends ActsForConstraintNode_c<Actor,Granter>> N` | `actor(N n, ActsForParamNode<Actor> actor)`
    `ActsForConstraintNode_c<Actor,Granter>` | `copy()`
    `polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
    `ActsForParamNode<Granter>` | `granter()` Gets the granter.
    `ActsForConstraintNode<Actor,Granter>` | `granter(ActsForParamNode<Granter> granter)` Returns a copy of this node with the granter updated.
    `protected <N extends ActsForConstraintNode_c<Actor,Granter>> N` | `granter(N n, ActsForParamNode<Granter> granter)`
    `void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter pp)`
    `protected <N extends ActsForConstraintNode_c<Actor,Granter>> N` | `reconstruct(N n, ActsForParamNode<Actor> actor, ActsForParamNode<Granter> granter)`
    `void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`
    `polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

    - ### Methods inherited from class jif.ast.ConstraintNode_c

      `constraint, constraint, constraints, constraints, exceptionCheckEnter, isDisambiguated, setConstraint, toString`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copyIfNeeded, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheck, ext, ext, ext, ext, extRewrite, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.ast.ConstraintNode

      `constraints, constraints`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitList`

- - ### Field Detail

    - #### actor

          protected ActsForParamNode<Actor extends ActsForParam> actor

    - #### granter

          protected ActsForParamNode<Granter extends ActsForParam> granter

    - #### isEquiv

          protected final boolean isEquiv

  - ### Constructor Detail

    - #### ActsForConstraintNode_c

          @Deprecated
          public ActsForConstraintNode_c(polyglot.util.Position pos,
                                                     ActsForParamNode<Actor> actor,
                                                     ActsForParamNode<Granter> granter,
                                                     boolean isEquiv)

      Deprecated.

    - #### ActsForConstraintNode_c

          public ActsForConstraintNode_c(polyglot.util.Position pos,
                                         ActsForParamNode<Actor> actor,
                                         ActsForParamNode<Granter> granter,
                                         boolean isEquiv,
                                         polyglot.ast.Ext ext)

    - #### ActsForConstraintNode_c

          @Deprecated
          public ActsForConstraintNode_c(polyglot.util.Position pos,
                                                     ActsForParamNode<Actor> actor,
                                                     ActsForParamNode<Granter> granter)

      Deprecated.

    - #### ActsForConstraintNode_c

          public ActsForConstraintNode_c(polyglot.util.Position pos,
                                         ActsForParamNode<Actor> actor,
                                         ActsForParamNode<Granter> granter,
                                         polyglot.ast.Ext ext)

  - ### Method Detail

    - #### actor

          public ActsForParamNode<Actor> actor()

      Description copied from interface: `ActsForConstraintNode`
      Gets the actor.
      Specified by:
        `actor` in interface `ActsForConstraintNode<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### actor

          public ActsForConstraintNode<Actor,Granter> actor(ActsForParamNode<Actor> actor)

      Description copied from interface: `ActsForConstraintNode`
      Returns a copy of this node with the actor updated.
      Specified by:
        `actor` in interface `ActsForConstraintNode<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### actor

          protected <N extends ActsForConstraintNode_c<Actor,Granter>> N actor(N n,
                                                                               ActsForParamNode<Actor> actor)

    - #### copy

          public ActsForConstraintNode_c<Actor,Granter> copy()

      Specified by:
        `copy` in interface `polyglot.util.Copy<polyglot.ast.Node>`
      Overrides:
        `copy` in class `ConstraintNode_c<ActsForConstraint<Actor extends ActsForParam,Granter extends ActsForParam>>`

    - #### granter

          public ActsForParamNode<Granter> granter()

      Description copied from interface: `ActsForConstraintNode`
      Gets the granter.
      Specified by:
        `granter` in interface `ActsForConstraintNode<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### granter

          public ActsForConstraintNode<Actor,Granter> granter(ActsForParamNode<Granter> granter)

      Description copied from interface: `ActsForConstraintNode`
      Returns a copy of this node with the granter updated.
      Specified by:
        `granter` in interface `ActsForConstraintNode<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### granter

          protected <N extends ActsForConstraintNode_c<Actor,Granter>> N granter(N n,
                                                                                 ActsForParamNode<Granter> granter)

    - #### reconstruct

          protected <N extends ActsForConstraintNode_c<Actor,Granter>> N reconstruct(N n,
                                                                                     ActsForParamNode<Actor> actor,
                                                                                     ActsForParamNode<Granter> granter)

    - #### visitChildren

          public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

      Specified by:
        `visitChildren` in interface `polyglot.ast.NodeOps`
      Overrides:
        `visitChildren` in class `polyglot.ast.Node_c`

    - #### disambiguate

          public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                         throws polyglot.types.SemanticException

      Specified by:
        `disambiguate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `disambiguate` in class `polyglot.ast.Node_c`
      Throws:
        `polyglot.types.SemanticException`

    - #### prettyPrint

          public void prettyPrint(polyglot.util.CodeWriter w,
                                  polyglot.visit.PrettyPrinter pp)

      Specified by:
        `prettyPrint` in interface `polyglot.ast.NodeOps`
      Overrides:
        `prettyPrint` in class `polyglot.ast.Node_c`

    - #### translate

          public void translate(polyglot.util.CodeWriter w,
                                polyglot.visit.Translator tr)

      Specified by:
        `translate` in interface `polyglot.ast.NodeOps`
      Overrides:
        `translate` in class `polyglot.ast.Node_c`